> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tembo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List session diffs

> List recorded session diff metadata with cursor pagination.



## OpenAPI

````yaml https://api.tembo.io/public-api/openapi/public get /v1/sessions/{sessionId}/diffs
openapi: 3.1.0
info:
  title: Tembo Public API
  description: >-
    Manage agents, sessions, repositories, and organization resources with the
    Tembo API.
  version: 1.0.0
servers:
  - url: https://api.tembo.io
    description: Tembo API
  - url: https://{deployment-origin}/api/public-api
    description: Self-hosted Tembo
    variables:
      deployment-origin:
        default: tembo.example.com
        description: Hostname of your self-hosted Tembo deployment
security: []
paths:
  /v1/sessions/{sessionId}/diffs:
    get:
      tags:
        - Sessions
      summary: List session diffs
      description: List recorded session diff metadata with cursor pagination.
      operationId: listSessionDiffs
      parameters:
        - in: path
          name: sessionId
          schema:
            type: string
            format: uuid
          required: true
        - in: query
          name: cursor
          schema:
            type: string
            format: uuid
          description: >-
            Continuation cursor from the previous response nextCursor. Omit for
            the first page; null nextCursor means there are no more pages.
        - in: query
          name: limit
          schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 50
          description: >-
            Maximum number of items to return in one page. Use nextCursor from
            the response to fetch more items.
        - in: query
          name: hasChanges
          schema:
            type: boolean
          description: Filter by whether a recorded diff contains changes.
      responses:
        '200':
          description: List session diffs
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      type: object
                      properties:
                        additions:
                          type: integer
                        baselineSha:
                          type:
                            - string
                            - 'null'
                        branch:
                          type:
                            - string
                            - 'null'
                        capturedAt:
                          type: string
                          format: date-time
                        changedFiles:
                          type: integer
                        codeRepositoryId:
                          type:
                            - string
                            - 'null'
                          format: uuid
                        deletions:
                          type: integer
                        hasChanges:
                          type: boolean
                        headSha:
                          type:
                            - string
                            - 'null'
                        id:
                          type: string
                          format: uuid
                        remoteKey:
                          type:
                            - string
                            - 'null'
                        root:
                          type: string
                        sessionId:
                          type: string
                          format: uuid
                        untrackedFiles:
                          type: integer
                      required:
                        - additions
                        - baselineSha
                        - branch
                        - capturedAt
                        - changedFiles
                        - codeRepositoryId
                        - deletions
                        - hasChanges
                        - headSha
                        - id
                        - remoteKey
                        - root
                        - sessionId
                        - untrackedFiles
                      additionalProperties: false
                  nextCursor:
                    type:
                      - string
                      - 'null'
                    format: uuid
                required:
                  - items
                  - nextCursor
                additionalProperties: false
        '400':
          description: >-
            Invalid request or missing required organization or user
            information.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '401':
          description: The session is private
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '403':
          description: The caller is not permitted to perform this operation
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '404':
          description: Session resource not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '409':
          description: Session operation conflicts with existing data
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '500':
          description: Session operation failed
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '502':
          description: Session runtime or provider operation failed
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
      security:
        - apiKey: []
      x-codeSamples:
        - lang: typescript
          label: TypeScript SDK
          source: >
            import Tembo from '@tembo-io/sdk';


            const client = new Tembo();


            const diff = await
            client.sessions.diffs.list('7c9e6679-7425-40de-944b-e07fc1f90ae7', {
              limit: 50,
            });
        - lang: rust
          label: Rust SDK
          source: |
            use tembo_rs::*;

            let client = Tembo::from_env()?;

            let response = client
                .sessions()
                .diffs()
                .list("7c9e6679-7425-40de-944b-e07fc1f90ae7")
                .send()
                .await?;
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.